version: "3.9"
services:
  content:
    build: ./packages/tictactotem-content-service
    ports:
      - "8080:80"
    configs:
      - source: content-service-conf
        target: /usr/share/nginx/html/settings/environmental-settings.js
  api:
    build:
      context: .
      dockerfile: ./packages/tictactotem-api-service/Dockerfile
    ports:
      - "3001:3001"
      - "3002:3002"
  redis:
    image: 'bitnami/redis:latest'
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
configs:
  content-service-conf:
    file: '/tmp/local-settings.js'